put
https://fin-api.digetpay.com/v1/merchant/account/webhooks/
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Update an existing webhook URL or events. Requires Merchant Portal Bearer token.
Flow
sequenceDiagram
autonumber
participant A as Portal Admin
participant D as DigetPay Portal API
A->>D: PATCH /merchant/account/webhooks/{webhookId}
Note right of A: url, events, active
D-->>A: 200 { id, url, active }
Responses
{
"success": {
"status": 200,
"body": {
"id": "wh_abc123",
"url": "https://yourstore.com/webhooks/digetpay-v2",
"active": true
}
}
}{
"failed_not_found": {
"status": 404,
"body": {
"statusCode": 404,
"message": "Webhook not found",
"error": "Not Found"
}
}
}{
"failed_unauthorized": {
"status": 401,
"body": {
"statusCode": 401,
"message": "Unauthorized",
"error": "Unauthorized"
}
}
}